﻿// <auto-generated> This file has been auto generated by EF Core Power Tools. </auto-generated>
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace MundoCalcado.Domain.Entities
{
    public partial class ProdColor
    {
        [Key]
        public int IdProdColor { get; set; }
        public int IdProduct { get; set; }
        public int IdColor { get; set; }

        [ForeignKey(nameof(IdProdColor))]
        [InverseProperty(nameof(Entities.Product.ProdColor))]
        public virtual Product Product { get; set; }
        [ForeignKey(nameof(IdProdColor))]
        [InverseProperty(nameof(Entities.Color.ProdColor))]
        public virtual Color Color { get; set; }
    }
}